#
# spec file for package
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           open2300
Version:        1.11.svn
Release:        lp150.4.8
License:        GPL
Summary:        A program to interfacing to Lacrosse Weather stations via USB or Serial port
Group:          Hardware/Other
# Packager:     Greg Freemyer <Greg.Freemyer@gmail.com>.

Url:            http://www.lavrsen.dk/foswiki/bin/view/Open2300/WebHome
# Source:       %%{name}-%%{version}.tar.bz2
Source:         %{name}-%{version}.tar.gz
Patch0:         DumpConfigTool-1.0.patch
Patch1:         SqliteLoggingTool-1.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       mysql

%if 0%{?suse_version}
BuildRequires:  mysql-devel sqlite3-devel
%else
BuildRequires:  mysql-devel pkgconfig(sqlite3)
%endif

%description
Open2300 is a package for communicating with Lacrosse Weather Stations.
All of the executables are commandline only.
It supports serial and usb connections
This package has not been released in several years.
This source code was pulled from svn March, 2009
I have been using this package with openSUSE 11.1 since April 2009

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if 0%{?fedora_version}
#the makefile has a hardcoded lib path that fails for 64-bit Fedora, fix it
sed -i -e s@/usr/lib/mysql@%{_libdir}/mysql@g Makefile
%endif

%build
chmod 644 api.txt COPYING README INSTALL mysql2300.sql open2300-dist.conf
make
make mysql2300
make mysqlhistlog2300
make sqlitelog2300
make dumpconfig2300

%install
make prefix=%{buildroot}%{_prefix}/  INSTALL='install -s' install
install sqlitelog2300 %{buildroot}%{_bindir}/
install dumpconfig2300 %{buildroot}%{_bindir}/
mkdir %{buildroot}%{_sysconfdir}
install open2300-dist.conf %{buildroot}%{_sysconfdir}/open2300.conf

%clean
make clean

%package -n open2300-dumpconfig2300
License:        GPL  
Version:        1.11.svn  
Release:        lp150.4.8
Summary:        A sub-package of open2300 to dump the config database  
Group:          Hardware/Other  
Requires:       sqlite3  

%description -n open2300-dumpconfig2300
This package provides to dump the config database

%package -n open2300-sqlite  
License:        GPL  
Version:        1.11.svn  
Release:        lp150.4.8
Summary:        A sub-package of open2300 to log data to a sqlite database  
Group:          Hardware/Other  
Requires:       sqlite3  

%description -n open2300-sqlite
This package provides a way to record all weatherstation data into a sqlite database

# Tell rpm lint what files we are working with and what permissions they should have
%files -n open2300-dumpconfig2300
%defattr(-,root,root)
%{_bindir}/dumpconfig2300

# Tell rpm lint what files we are working with and what permissions they should have
%files -n open2300-sqlite
%defattr(-,root,root)
%{_bindir}/sqlitelog2300

%files

# Use default permissions ?
%defattr(644,root,root,755)

#Tell rpmlint that we intentionally put this file here in the install step
%config %{_sysconfdir}/open2300.conf

#copy these files into the doc directory as part of rpm install
%doc api.txt COPYING README INSTALL mysql2300.sql open2300-dist.conf

# get permissions from the source files (ie. rwxr-xr-x for executable.)
%defattr(-,root,root)
%{_bindir}/open2300
%{_bindir}/dump2300
%{_bindir}/log2300
%{_bindir}/fetch2300
%{_bindir}/wu2300
%{_bindir}/cw2300
%{_bindir}/histlog2300
%{_bindir}/xml2300
%{_bindir}/light2300
%{_bindir}/interval2300
%{_bindir}/minmax2300
%{_bindir}/mysql2300
%{_bindir}/mysqlhistlog2300

%changelog
* Fri Jul 15 2011 Greg Freemyer <Greg.Freemyer@gmail.com> - 1.11.svn
- Updated Specfile to eliminate executable documentation files
  - Factory rpmlint changed the badness on these to cause build to fail
* Thu Nov 18 2010 Greg Freemyer <Greg.Freemyer@gmail.com> - 1.11.svn
- Added 2 new tools provided by Wesley Moore
  - Sqlite Logging Tool
  - Dump Config Tool
* Wed Nov 10 2010 Greg Freemyer <Greg.Freemyer@gmail.com> - 1.11.svn
- Ran the specfile thru "spec-cleaner" script provided by openSUSE tools
- updated specfile to build Fedora 64-bit version of open2300
* Mon Nov  8 2010 Greg Freemyer <Greg.Freemyer@gmail.com> - 1.11.svn
- version 1.11.svn
  - moved changelog to open2300.changes as required for factory submission
* Sun Apr  5 2009 Greg Freemyer <Greg.Freemyer@gmail.com> - 1.11.svn
- version 1.11.svn
  - Package first built on Opensuse.
  - Several other distros also compile, not tested
  - reviewed rpmlint feedback to get a clean rpm generated.
  - docs install to the packages directory for suse
  - Not sure where they end up on Fedora, if they even get installed.
